This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1004960 - String modified before looked up among translations
String modified before looked up among translations
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
unspecified Severity low
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 17:15 EDT by Göran Uddeborg
Modified: 2013-09-18 22:41 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-20.17-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 22:41:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2013-09-05 17:15:20 EDT
While translating anaconda/master, I came across the message:

    msgid "IPv4 address or %s for DHCP"

I looked up the source to see what %s could be, to get this right.  I found this code:

    Entry(_('IPv4 address or %s for DHCP' % '"dhcp"'), "ip", ...

Unless I'm mistaken, this won't work.  The string that is extracted to the po file is 'IPv4 address or %s for DHCP'.  But the argument of the "_" function will be 'IPv4 address or "dhcp" for DHCP'.  And that won't be available in any translation catalog.

Wouldn't the correct way to express this be as follows?

    Entry(_('IPv4 address or %s for DHCP') % '"dhcp"', "ip", ...
Comment 1 David Shea 2013-09-05 17:30:41 EDT
That's correct. Thanks for catching this.
Comment 2 Fedora Update System 2013-09-06 18:42:58 EDT
anaconda-20.12-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.12-1.fc20
Comment 3 Fedora Update System 2013-09-07 13:03:31 EDT
Package anaconda-20.12-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-20.12-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16040/anaconda-20.12-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-09 20:11:40 EDT
anaconda-20.13-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.13-1.fc20
Comment 5 Fedora Update System 2013-09-10 15:48:56 EDT
anaconda-20.14-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.14-1.fc20
Comment 6 Fedora Update System 2013-09-11 21:03:57 EDT
anaconda-20.15-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.15-1.fc20
Comment 7 Fedora Update System 2013-09-13 21:05:41 EDT
anaconda-20.16-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.16-1.fc20
Comment 8 Fedora Update System 2013-09-16 13:48:48 EDT
anaconda-20.17-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.17-1.fc20
Comment 9 Fedora Update System 2013-09-18 22:41:39 EDT
anaconda-20.17-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.